<div class="container">

  <div class="ui-g">
    <div class="ui-g-12">
      <h1>Portadores</h1>
    </div>

    <div class="ui-g-12 ui-fluid">
      <label>Nome</label>
      <input pInputText type="text">
    </div>

    <div class="ui-g-12 ui-fluid">
      <label>CPF</label>
      <input pInputText type="text">
    </div>

    <div class="ui-g-12">
      <button pButton type="submit" label="Pesquisar"></button>
    </div>
  </div>

  <div class="ui-g">
    <div class="ui-g-12">
      <p-table [value]="pessoas" [rows]="5" [paginator]="true"
            [responsive]="true"
            emptyMessage="Nenhum lançamento encontrado"
            [lazy]="true"
            (onLazyLoad)="aoMudarPagina($event)"
            #tabela>
        <ng-template let-pessoa pTemplate="header">
          <tr>
            <th> Nome </th>
            <th> CPF </th>
            <th class="col-acoes-header"></th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-pessoa>
          <tr>
            <td>{{pessoa.nome}}</td>
            <td>{{pessoa.cpf}}</td>
            <td class="col-acoes">
              <!-- <a pButton icon="pi pi-pencil" pTooltip="Editar" tooltipPosition="top"></a>
              <button pButton icon="pi pi-trash" pTooltip="Excluir" tooltipPosition="top"></button>   -->
              
                <a pButton icon="pi pi-pencil" pTooltip="Editar" tooltipPosition="top"
                [routerLink]="['/portadores', pessoa.id]">
                </a>
                <button pButton icon="pi pi-trash"
                  pTooltip="Excluir" tooltipPosition="top"
                  (click)="confirmarExclusao(pessoa)"></button>
              
            </td>
          </tr>
        </ng-template>

      </p-table>
    </div>

    <div class="ui-g-12">
      <a pButton label="Novo Portador" routerLink="/portadores/novo"></a>
    </div>
  </div>

</div>